// creator  : weidu.exe (version 23100)
// argument : POSTUL1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~POSTUL1~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #6 /* Triggers after states #: 2 3 4 5 6 7 even though they appear after this state */
~RandomNum(2,1)
~ THEN BEGIN 0 // from:
  SAY #27610 /* ~I am here to pay homage to Yondalla, the Blessed One.  There be no church here for us wee folk, but I take comfort in the presence of others of faith.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 2 3 4 5 6 7 even though they appear after this state */
~RandomNum(2,2)
~ THEN BEGIN 1 // from:
  SAY #27614 /* ~The Temple district is a fine and peaceful place.  Often I like to just come here to contemplate.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~CheckStatLT(LastTalkedToBy,13,42)
RandomNum(2,1)
~ THEN BEGIN 2 // from:
  SAY #27619 /* ~This is a place of the peaceful and divine... not for the likes of you.  Begone from here!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Global("BeholderPlot","GLOBAL",0)
RandomNum(2,1)
~ THEN BEGIN 3 // from:
  SAY #27620 /* ~I do so worry what has become of the missing priests... there are so many who have disappeared it is a terrible concern!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("BeholderPlot","GLOBAL",1)
RandomNum(2,1)
~ THEN BEGIN 4 // from:
  SAY #27621 /* ~I do not trust these preachers... what is this Unseeing Eye?  It sounds horrid... and they have all plucked out their own eyes!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~Global("BeholderPlot","GLOBAL",2)
RandomNum(2,1)
~ THEN BEGIN 5 // from:
  SAY #27613 /* ~What a relief that this cult has disappeared from Athkatla.  One wonders what would have happened if it remained.  Tsk.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
RandomNum(2,1)
Global("Postul1Mazzy","GLOBAL",0)
~ THEN BEGIN 6 // from:
  SAY #27622 /* ~Greetings, little sister.  Are you here to pay homage to Yondalla?~ */
  IF ~~ THEN DO ~SetGlobal("Postul1Mazzy","GLOBAL",1)
~ EXTERN ~MAZZYJ~ 85
END

IF WEIGHT #5 ~InParty("Cernd")
See("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)
RandomNum(2,1)
Global("Postul1Cernd","GLOBAL",0)
~ THEN BEGIN 7 // from:
  SAY #27627 /* ~Greetings to you, father of the forest.  I trust the gods of nature have been smiling upon you?~ */
  IF ~~ THEN DO ~SetGlobal("Postul1Cernd","GLOBAL",1)
~ EXTERN ~CERNDJ~ 79
END
